# SNAP Inquiry Static VA

This API is used to inquiry data of static VA transactions in SNAP standard for route payment.

<table data-header-hidden><thead><tr><th width="165"></th><th></th></tr></thead><tbody><tr><td><strong>URL Path</strong></td><td>urlmerchant + /v1.0/transfer-va/inquiry</td></tr><tr><td><strong>Method</strong></td><td>POST</td></tr></tbody></table>

## Request Parameter

The parameters that must be provided by the merchant system to be accessed by the Faspay system are as  follows:&#x20;

<table><thead><tr><th width="280">SNAP Parameter</th><th width="175">Data Type</th><th width="90">M/O/C</th><th>Description</th></tr></thead><tbody><tr><td>partnerServiceId</td><td>String (8)</td><td>M</td><td>Derivative of X-PARTNER-ID, similar to company code,8 digit left padding space</td></tr><tr><td>customerNo</td><td>String (20)</td><td>M</td><td>Unique number (up to 20 digits).</td></tr><tr><td>virtualAccountNo</td><td>String (28)</td><td>M</td><td>partnerServiceId (8 digit left padding space) + customerNo (up to 20 digits)</td></tr><tr><td>inquiryRequestId</td><td>String (32)</td><td>M</td><td>Unique identifier for this Inquiry. Generated by Faspay.</td></tr></tbody></table>

### Sample Request

{% tabs %}
{% tab title="Sample Request" %}

```json
{
    "partnerServiceId": "  88899",
    "customerNo": "12345678901234567890",
    "virtualAccountNo": "  08889912345678901234567890",
    "inquiryRequestId": "abcdef-123456-abcdef"
}
```

{% endtab %}
{% endtabs %}

## Response Parameter

Response parameters are parameters that will be delivered by Faspay system in response to the request that have been sent by the merchant system. If no parameters appropriate/value ~~is~~are incorrect, the transaction will be rejected in the system Faspay.

<table><thead><tr><th width="331">SNAP Parameter</th><th width="157">Data Type</th><th width="102">M/O/C</th><th width="216">Description</th></tr></thead><tbody><tr><td>responseCode</td><td>String (7)</td><td>M</td><td>Response code. In details <a href="/pages/rtKHzHoYL4gBW3Z4iWQr">here</a>.</td></tr><tr><td>responseMessage</td><td>String (150)</td><td>M</td><td>Response description. In details <a href="/pages/rtKHzHoYL4gBW3Z4iWQr">here</a>.</td></tr><tr><td>virtualAccountData</td><td>Object</td><td>M</td><td> </td></tr><tr><td>    partnerServiceId</td><td>String (8)</td><td>M</td><td>Derivative of X-PARTNER-ID , similar to company code, 8 digit left padding space</td></tr><tr><td>    customerNo</td><td>String (20)</td><td>M</td><td>Unique number (up to 20 digits)</td></tr><tr><td>    virtualAccountNo</td><td>String (28)</td><td>M</td><td>partnerServiceId (8 digit left padding space) + customerNo (up to 20 digits)</td></tr><tr><td>    virtualAccountName</td><td>String (128)</td><td>M</td><td>Customer name</td></tr><tr><td>    virtualAccountEmail</td><td>String (128)</td><td>O</td><td>Customer email</td></tr><tr><td>   virtualAccountPhone</td><td>String (30)</td><td>O</td><td>Customer's phone number. Format: 62xxxxxxxxxxxxx</td></tr><tr><td>   inquiryRequestId</td><td>String (128)</td><td>M</td><td>From Inquiry Request</td></tr><tr><td>   totalAmount</td><td>Object</td><td>M</td><td> </td></tr><tr><td>       value</td><td>String (ISO4217) (16,2)</td><td>M</td><td>Transaction Amount. Total Amount with 2 decimals</td></tr><tr><td>       currency</td><td>String (3)</td><td>M</td><td>Currency</td></tr><tr><td>   additional_info</td><td>Object</td><td> </td><td>Additional Information for custom use</td></tr><tr><td>        route</td><td>Object</td><td>O</td><td> </td></tr><tr><td>             owner</td><td>Alphanumeric (32) </td><td>O</td><td><p>Registered partner id that owns/generates the transaction. </p><p> </p><p><strong>Notes:</strong></p><ul><li>1 transaction only can contain 1 owner. </li><li>If null, then the remaining transaction amount will belong to the merchant’s Sendme balance. </li></ul></td></tr><tr><td>             partnerId</td><td>Alphanumeric (32) </td><td>O</td><td>Merchant partner id number.</td></tr><tr><td>             partnerAmount</td><td>Numeric (15) </td><td>C</td><td>Disbursement amount to partner.  </td></tr></tbody></table>

### Sample Response

{% tabs %}
{% tab title="Sample Response" %}

```json
{
    "responseCode": "2002400",
    "responseMessage": "Success",
    "virtualAccountData":
    {
        "partnerServiceId": "  088899",
        "customerNo": "12345678901234567890",
        "virtualAccountNo": "  08889912345678901234567890",
        "virtualAccountName": "Johnny Suh",
        "virtualAccountEmail": "johnnysuh@email.com",
        "virtualAccountPhone": "6281828384858",
        "inquiryRequestId": "abcdef-123456-abcdef",
        "totalAmount":
        {
            "value": "12345678.00",
            "currency": "IDR"
        },
        "additionalInfo":
        {
            "route":
            [
                {
                    "owner": "26100253"
                },
                {
                    "partnerId": "29195827",
                    "partnerAmount": "5000.00"
                },
                {
                    "partnerId": "aws-2",
                    "partnerAmount": "3000.00"
                }
            ]
        }
    }
}

```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.faspay.co.id/merchant-integration/api-reference-1/route-payment/snap-inquiry-static-va.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
